%define modname mailparse
%define soname %{modname}.so
%define inifile A12_%{modname}.ini
%define incdir %(php-config82 --include-dir)
%define extdir %(php-config82 --extension-dir)


Summary:	Email message manipulation for PHP
Name:		php-%{modname}
Version:	3.1.4
Release:	%mkrel 1
License:	PHP License
Group:		Development/PHP
URL:		https://pecl.php.net/package/mailparse
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
BuildRequires:	php-devel >= 3:8.2.0
Requires:       php >= 3:8.2.0
Requires:       php-common = 3:8.2
Requires:	php-mbstring
BuildRequires:	mbfl-devel
Epoch:		1

%description
Mailparse is an extension for parsing and working with email messages. It can
deal with rfc822 and rfc2045 (MIME) compliant messages.

%prep

%setup -q -n %{modname}-%{version}
%autopatch -p0

# fix strange attribs
find tests -type f|xargs chmod 644

ln -s %{_usrsrc}/php-devel/ext .

cp %{SOURCE1} %{inifile}

%build
%serverbuild

phpize
%configure \
    --enable-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m0755 %{soname} %{buildroot}%{extdir}/

%files
%doc tests CREDITS try.php
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}




%changelog
* Tue Sep 20 2022 mokraemer <mokraemer> 1:3.1.4-1.mga9
+ Revision: 1890865
- new version 3.1.4

* Wed Aug 24 2022 mokraemer <mokraemer> 1:3.1.3-5.mga9
+ Revision: 1879780
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 1:3.1.3-4.mga9
+ Revision: 1869993
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 1:3.1.3-3.mga9
+ Revision: 1869862
- rebuild for php 8.2

* Thu Mar 17 2022 umeabot <umeabot> 1:3.1.3-2.mga9
+ Revision: 1796899
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mokraemer <mokraemer> 1:3.1.3-1.mga9
+ Revision: 1782796
- new version 3.1.3

* Fri Nov 26 2021 mokraemer <mokraemer> 1:3.1.2-2.mga9
+ Revision: 1759374
- rebuild for php 8.1

* Wed Sep 01 2021 mokraemer <mokraemer> 1:3.1.2-1.mga9
+ Revision: 1743902
- new version 3.1.2

* Wed Nov 25 2020 mokraemer <mokraemer> 1:3.1.1-1.mga8
+ Revision: 1649097
- new version 3.1.1

* Thu Jun 18 2020 mokraemer <mokraemer> 1:3.1.0-2.mga8
+ Revision: 1596253
- fix dep to current version

* Wed Apr 22 2020 mokraemer <mokraemer> 1:3.1.0-1.mga8
+ Revision: 1570982
- new version 3.1.0

* Tue Feb 18 2020 umeabot <umeabot> 1:3.0.4-2.mga8
+ Revision: 1541138
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 21 2019 mokraemer <mokraemer> 1:3.0.4-1.mga8
+ Revision: 1469325
- new version 3.0.4

* Fri Nov 29 2019 mokraemer <mokraemer> 1:3.0.3-3.mga8
+ Revision: 1463530
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 1:3.0.3-2.mga8
+ Revision: 1454922
- removed dirname

* Wed Mar 20 2019 mokraemer <mokraemer> 1:3.0.3-1.mga7
+ Revision: 1379232
- new version 3.0.3
- reimported mailparse
- removed package, since not compatible with php 7.3
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 1:3.0.2-5.mga7
+ Revision: 1325844
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 1:3.0.2-4.mga7
+ Revision: 1300229
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 1:3.0.2-3.mga7
+ Revision: 1217374
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 1:3.0.2-2.mga7
+ Revision: 1180981
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 1:3.0.2-1.mga7
+ Revision: 1177144
- new version

* Tue Mar 22 2016 oden <oden> 1:2.1.6-1.mga6
+ Revision: 994023
- 2.1.6 (3.x is for php-7.x only)
+ luigiwalser <luigiwalser>
- httpd restart is handled by filetriggers now
+ spuhler <spuhler>
- imported package php-mailparse

